Bug 189658 - [maintainer-update] Add staging support to audio/ogg2mp3
Summary: [maintainer-update] Add staging support to audio/ogg2mp3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 13:00 UTC by tobias.rehbein
Modified: 2014-05-14 19:00 UTC (History)
0 users

See Also:


Attachments
audio_ogg2mp3_stage.diff (1.18 KB, patch)
2014-05-11 13:00 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2014-05-11 13:00:00 UTC
	Add staging support to audio/ogg2mp3.

	While here fix some portlint warnings:
	* Fix WWW: line
	* Add LICENSE
Comment 1 Alex Kozlov freebsd_committer 2014-05-12 14:40:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 Alex Kozlov freebsd_committer 2014-05-12 14:40:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-05-12 14:41:02 UTC
Author: ak
Date: Mon May 12 13:40:58 2014
New Revision: 353818
URL: http://svnweb.freebsd.org/changeset/ports/353818
QAT: https://qat.redports.org/buildarchive/r353818/

Log:
  - Support STAGEDIR
  - Add license
  - Use a single space after WWW in pkg-descr
  
  PR:	ports/189658
  Submitted by:	Tobias Rehbein <tobias.rehbein@web.de> (maintainer)

Modified:
  head/audio/ogg2mp3/Makefile
  head/audio/ogg2mp3/pkg-descr

Modified: head/audio/ogg2mp3/Makefile
==============================================================================
--- head/audio/ogg2mp3/Makefile	Mon May 12 13:07:35 2014	(r353817)
+++ head/audio/ogg2mp3/Makefile	Mon May 12 13:40:58 2014	(r353818)
@@ -10,14 +10,14 @@ MASTER_SITES=	http://jamesa.com/projects
 MAINTAINER=	tobias.rehbein@web.de
 COMMENT=	Perl script that converts Ogg Vorbis files to MP3 format
 
+LICENSE=	GPLv2
+
 RUN_DEPENDS=	lame:${PORTSDIR}/audio/lame \
 		p5-String-ShellQuote>=0:${PORTSDIR}/textproc/p5-String-ShellQuote \
 		ogginfo:${PORTSDIR}/audio/vorbis-tools
 
 NO_BUILD=	yes
-USE_BZIP2=	yes
-NO_STAGE=	yes
-USES=		perl5
+USES=		perl5 tar:bzip2
 
 PLIST_FILES=	bin/ogg2mp3
 
@@ -25,6 +25,6 @@ post-patch:
 	@${REINPLACE_CMD} -e "s|%%LOCALBASE%%|${LOCALBASE}|" ${WRKSRC}/ogg2mp3
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/ogg2mp3 ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/ogg2mp3 ${STAGEDIR}${PREFIX}/bin
 
 .include <bsd.port.mk>

Modified: head/audio/ogg2mp3/pkg-descr
==============================================================================
--- head/audio/ogg2mp3/pkg-descr	Mon May 12 13:07:35 2014	(r353817)
+++ head/audio/ogg2mp3/pkg-descr	Mon May 12 13:40:58 2014	(r353818)
@@ -1,3 +1,3 @@
 ogg2mp3 is a perl script that converts Ogg Vorbis files into MP3 format.
 
-WWW:	http://gitorious.org/ogg2mp3/pages/Home 
+WWW: http://gitorious.org/ogg2mp3/pages/Home 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alex Kozlov freebsd_committer 2014-05-13 14:02:25 UTC
Hi, Tobias

It seems that jamesa.com master site is down, can you please
provide the working mirror?


-- 
Alex
Comment 5 Alex Kozlov freebsd_committer 2014-05-14 18:51:10 UTC
On Tue, May 13, 2014 at 08:24:01PM +0200, Tobias Rehbein wrote:
> Am Tue, May 13, 2014 at 04:02:25PM +0300 schrieb Alex Kozlov:
> > It seems that jamesa.com master site is down, can you please
> > provide the working mirror?
> It seems there is no working mirror :( The development stalled, so I
> don't expect new versions in the future, but I don't have any FTP space,
> so I cannot provide a mirror.
> 
> Do you have resources? If not, I would ask on ports@ for help.
You can use as mirror one of the free software hosting sites, like
googlecode, github or sourceforge.


-- 
Alex